@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  trellis-db startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and TRELLIS_DB_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\trellis-db-deployment-0.1.1.jar;%APP_HOME%\lib\trellis-db-app-0.1.1.jar;%APP_HOME%\lib\jaxb-api-2.3.0.jar;%APP_HOME%\lib\trellis-app-0.7.2.jar;%APP_HOME%\lib\dropwizard-auth-1.3.5.jar;%APP_HOME%\lib\dropwizard-jdbi3-1.3.5.jar;%APP_HOME%\lib\dropwizard-migrations-1.3.5.jar;%APP_HOME%\lib\dropwizard-db-1.3.5.jar;%APP_HOME%\lib\dropwizard-core-1.3.5.jar;%APP_HOME%\lib\dropwizard-http2-1.3.5.jar;%APP_HOME%\lib\dropwizard-metrics-1.3.5.jar;%APP_HOME%\lib\trellis-jms-0.7.2.jar;%APP_HOME%\lib\javax.jms-api-2.0.1.jar;%APP_HOME%\lib\activemq-client-5.15.5.jar;%APP_HOME%\lib\trellis-io-jena-0.7.2.jar;%APP_HOME%\lib\trellis-file-0.7.2.jar;%APP_HOME%\lib\commons-rdf-jena-0.5.0.jar;%APP_HOME%\lib\trellis-kafka-0.7.2.jar;%APP_HOME%\lib\kafka-clients-1.1.0.jar;%APP_HOME%\lib\tamaya-core-0.3-incubating.jar;%APP_HOME%\lib\trellis-db-0.1.1.jar;%APP_HOME%\lib\trellis-constraint-rules-0.7.2.jar;%APP_HOME%\lib\trellis-http-0.7.2.jar;%APP_HOME%\lib\trellis-namespaces-0.7.2.jar;%APP_HOME%\lib\trellis-webac-0.7.2.jar;%APP_HOME%\lib\trellis-rdfa-0.7.2.jar;%APP_HOME%\lib\dropwizard-configuration-1.3.5.jar;%APP_HOME%\lib\dropwizard-jersey-1.3.5.jar;%APP_HOME%\lib\dropwizard-request-logging-1.3.5.jar;%APP_HOME%\lib\dropwizard-jetty-1.3.5.jar;%APP_HOME%\lib\dropwizard-logging-1.3.5.jar;%APP_HOME%\lib\dropwizard-jackson-1.3.5.jar;%APP_HOME%\lib\dropwizard-validation-1.3.5.jar;%APP_HOME%\lib\dropwizard-servlets-1.3.5.jar;%APP_HOME%\lib\dropwizard-lifecycle-1.3.5.jar;%APP_HOME%\lib\liquibase-core-3.6.1.jar;%APP_HOME%\lib\jena-osgi-3.8.0.jar;%APP_HOME%\lib\metrics-jdbi3-4.0.2.jar;%APP_HOME%\lib\metrics-jersey2-4.0.2.jar;%APP_HOME%\lib\metrics-annotation-4.0.3.jar;%APP_HOME%\lib\jdbi3-sqlobject-3.2.1.jar;%APP_HOME%\lib\jdbi3-jodatime2-3.2.1.jar;%APP_HOME%\lib\jdbi3-guava-3.2.1.jar;%APP_HOME%\lib\jdbi3-core-3.4.0.jar;%APP_HOME%\lib\jul-to-slf4j-1.7.25.jar;%APP_HOME%\lib\logback-classic-1.2.3.jar;%APP_HOME%\lib\log4j-over-slf4j-1.7.25.jar;%APP_HOME%\lib\jsonld-java-0.12.0.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.25.jar;%APP_HOME%\lib\libthrift-0.10.0.jar;%APP_HOME%\lib\slf4j-api-1.7.25.jar;%APP_HOME%\lib\mysql-connector-java-8.0.12.jar;%APP_HOME%\lib\postgresql-42.2.4.jar;%APP_HOME%\lib\trellis-id-0.7.2.jar;%APP_HOME%\lib\trellis-agent-0.7.2.jar;%APP_HOME%\lib\trellis-audit-0.7.2.jar;%APP_HOME%\lib\trellis-event-serialization-0.7.2.jar;%APP_HOME%\lib\trellis-api-0.7.2.jar;%APP_HOME%\lib\trellis-vocabulary-0.7.2.jar;%APP_HOME%\lib\activation-1.1.1.jar;%APP_HOME%\lib\jackson-dataformat-yaml-2.9.6.jar;%APP_HOME%\lib\snakeyaml-1.21.jar;%APP_HOME%\lib\dropwizard-util-1.3.5.jar;%APP_HOME%\lib\metrics-servlets-4.0.2.jar;%APP_HOME%\lib\metrics-jvm-4.0.2.jar;%APP_HOME%\lib\metrics-jmx-4.0.2.jar;%APP_HOME%\lib\metrics-logback-4.0.2.jar;%APP_HOME%\lib\metrics-jetty9-4.0.2.jar;%APP_HOME%\lib\metrics-json-4.0.2.jar;%APP_HOME%\lib\metrics-core-4.0.2.jar;%APP_HOME%\lib\metrics-healthchecks-4.0.2.jar;%APP_HOME%\lib\argparse4j-0.8.1.jar;%APP_HOME%\lib\jetty-setuid-java-1.0.3.jar;%APP_HOME%\lib\http2-server-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-alpn-openjdk8-server-9.4.11.v20180605.jar;%APP_HOME%\lib\liquibase-slf4j-2.0.0.jar;%APP_HOME%\lib\geronimo-jms_1.1_spec-1.1.1.jar;%APP_HOME%\lib\hawtbuf-1.11.jar;%APP_HOME%\lib\geronimo-j2ee-management_1.1_spec-1.0.1.jar;%APP_HOME%\lib\commons-rdf-simple-0.5.0.jar;%APP_HOME%\lib\commons-rdf-api-0.5.0.jar;%APP_HOME%\lib\org.apache.servicemix.bundles.xerces-2.11.0_1.jar;%APP_HOME%\lib\collection-0.7.jar;%APP_HOME%\lib\lz4-java-1.4.jar;%APP_HOME%\lib\snappy-java-1.1.7.1.jar;%APP_HOME%\lib\tamaya-api-0.3-incubating.jar;%APP_HOME%\lib\geronimo-annotation_1.2_spec-1.0-alpha-1.jar;%APP_HOME%\lib\protobuf-java-2.6.0.jar;%APP_HOME%\lib\jersey-bean-validation-2.25.1.jar;%APP_HOME%\lib\jersey-container-servlet-2.25.1.jar;%APP_HOME%\lib\jersey-container-servlet-core-2.25.1.jar;%APP_HOME%\lib\jersey-server-2.25.1.jar;%APP_HOME%\lib\jersey-metainf-services-2.25.1.jar;%APP_HOME%\lib\jersey-client-2.25.1.jar;%APP_HOME%\lib\jersey-media-jaxb-2.25.1.jar;%APP_HOME%\lib\jersey-common-2.25.1.jar;%APP_HOME%\lib\hk2-locator-2.5.0-b32.jar;%APP_HOME%\lib\javax.inject-2.5.0-b62.jar;%APP_HOME%\lib\commons-io-2.6.jar;%APP_HOME%\lib\commons-compress-1.18.jar;%APP_HOME%\lib\commons-text-1.2.jar;%APP_HOME%\lib\commons-lang3-3.7.jar;%APP_HOME%\lib\javax.annotation-api-1.3.2.jar;%APP_HOME%\lib\javax.ws.rs-api-2.1.jar;%APP_HOME%\lib\commons-codec-1.11.jar;%APP_HOME%\lib\javax.json-api-1.1.2.jar;%APP_HOME%\lib\commons-collections4-4.2.jar;%APP_HOME%\lib\jackson-datatype-jsr310-2.9.6.jar;%APP_HOME%\lib\jjwt-0.9.1.jar;%APP_HOME%\lib\jackson-datatype-guava-2.9.6.jar;%APP_HOME%\lib\jackson-datatype-jdk8-2.9.6.jar;%APP_HOME%\lib\jackson-module-parameter-names-2.9.6.jar;%APP_HOME%\lib\jackson-module-afterburner-2.9.6.jar;%APP_HOME%\lib\jackson-datatype-joda-2.9.6.jar;%APP_HOME%\lib\jackson-jaxrs-json-provider-2.9.6.jar;%APP_HOME%\lib\jackson-jaxrs-base-2.9.6.jar;%APP_HOME%\lib\jackson-module-jaxb-annotations-2.9.6.jar;%APP_HOME%\lib\jackson-databind-2.9.6.jar;%APP_HOME%\lib\jackson-core-2.9.6.jar;%APP_HOME%\lib\compiler-0.9.5.jar;%APP_HOME%\lib\jackson-annotations-2.9.0.jar;%APP_HOME%\lib\guava-24.0-jre.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\profiler-1.0.2.jar;%APP_HOME%\lib\joda-time-2.9.9.jar;%APP_HOME%\lib\hibernate-validator-5.4.2.Final.jar;%APP_HOME%\lib\javax.el-3.0.0.jar;%APP_HOME%\lib\javassist-3.22.0-GA.jar;%APP_HOME%\lib\logback-access-1.2.3.jar;%APP_HOME%\lib\logback-core-1.2.3.jar;%APP_HOME%\lib\jetty-servlets-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-alpn-server-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-webapp-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-servlet-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-security-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-server-9.4.11.v20180605.jar;%APP_HOME%\lib\http2-common-9.4.11.v20180605.jar;%APP_HOME%\lib\http2-hpack-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-http-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-io-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-xml-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-util-9.4.11.v20180605.jar;%APP_HOME%\lib\jetty-continuation-9.4.11.v20180605.jar;%APP_HOME%\lib\tomcat-jdbc-9.0.5.jar;%APP_HOME%\lib\xml-apis-1.4.01.jar;%APP_HOME%\lib\httpclient-osgi-4.5.5.jar;%APP_HOME%\lib\httpcore-osgi-4.4.9.jar;%APP_HOME%\lib\commons-csv-1.5.jar;%APP_HOME%\lib\org.osgi.core-5.0.0.jar;%APP_HOME%\lib\antlr-runtime-3.4.jar;%APP_HOME%\lib\expiringmap-0.5.6.jar;%APP_HOME%\lib\checker-compat-qual-2.0.0.jar;%APP_HOME%\lib\error_prone_annotations-2.1.3.jar;%APP_HOME%\lib\j2objc-annotations-1.1.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.14.jar;%APP_HOME%\lib\validation-api-1.1.0.Final.jar;%APP_HOME%\lib\jboss-logging-3.3.0.Final.jar;%APP_HOME%\lib\classmate-1.3.1.jar;%APP_HOME%\lib\hk2-api-2.5.0-b32.jar;%APP_HOME%\lib\javax.servlet-api-3.1.0.jar;%APP_HOME%\lib\tomcat-juli-9.0.5.jar;%APP_HOME%\lib\stringtemplate-3.2.1.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\jersey-guava-2.25.1.jar;%APP_HOME%\lib\osgi-resource-locator-1.0.1.jar;%APP_HOME%\lib\hk2-utils-2.5.0-b32.jar;%APP_HOME%\lib\aopalliance-repackaged-2.5.0-b32.jar;%APP_HOME%\lib\javax.inject-1.jar

@rem Execute trellis-db
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %TRELLIS_DB_OPTS%  -classpath "%CLASSPATH%" org.trellisldp.ext.app.db.TrellisApplication %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable TRELLIS_DB_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%TRELLIS_DB_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
